import 'dart:io';
import 'package:flutter_test/flutter_test.dart';
import 'package:raw_settings/raw_settings.dart';

void main() {
  test('Test Settings library', () {
    RawSettings settings = RawSettings("test_app");
    settings.set(name: "language", value: "Español");
    String lang = settings.get(name: "language");
    print(lang);
  });
  test("New Settings",()async{
    Directory folderToSaveSettings = Directory.systemTemp;
    Directory testSaveLocation = Directory("${folderToSaveSettings.path}/test_save");
    NewRawSettings settings = NewRawSettings(
      saveDirectory: testSaveLocation,
    );
    settings.set("dark_mode", true);
    bool darkMode = settings.get("dark_mode");
    print("Dark Mode: $darkMode");
  });
}
